// Copyright 2017 Orus.io. All rights reserved.

package control

import (
	"bitbucket.org/orus-io/go-xbus/api"
)

func (s *Service) handleLogsPurge(subject, reply string, req api.ControlLogsPurgeReq) {
	var rep api.ControlLogsPurgeRep

	s.TaskAdd()
	defer s.SendReply(reply, &rep)

	rep.Count = s.o.LogStorage.PurgeBefore(req.Before)
	rep.Status = api.StatusOK
}
